GET api/medistreamprogramstepapi/step/{id}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters

None.

Response Information

Resource Description

MediStreamProgramStepViewModel
NameDescriptionTypeAdditional information
id

globally unique identifier

None.

program_id

globally unique identifier

Required

code

integer

Required

Range: inclusive between 0 and ∞

name

string

Required

medistream_program_step_type_id

globally unique identifier

Required

active

boolean

Required

Response Formats

application/json, text/json

Sample:
{
  "id": "13f0514c-8f9a-4630-9de3-eede13a07e0f",
  "program_id": "d75d7092-5bd1-48ac-a62c-3edcb2ec5a0d",
  "code": 3,
  "name": "sample string 4",
  "medistream_program_step_type_id": "586e6670-43f1-4e82-980d-61a6ad26c210",
  "active": true
}

application/xml, text/xml

Sample:
<medistream_program_step xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
  <active>true</active>
  <code>3</code>
  <id>13f0514c-8f9a-4630-9de3-eede13a07e0f</id>
  <medistream_program_step_type_id>586e6670-43f1-4e82-980d-61a6ad26c210</medistream_program_step_type_id>
  <name>sample string 4</name>
  <program_id>d75d7092-5bd1-48ac-a62c-3edcb2ec5a0d</program_id>
</medistream_program_step>